/*****************************************************************************
**                                                                          **
**                       GBRoute Plus ARexx Script                          **
**                                                                          **
**                       (c) 1991 Complex Computers                         **
**                                                                          **
**  Name : gbrzoom.rexx                                                     **
**                                                                          **
**  Description : Rolling Zoom demo                                         **
**                                                                          **
*****************************************************************************/

                                        /* get host                         */
address GBR
                                        /* push GBRoute screen to front     */
scrn 1

roads 1                                 /* turn roads on                    */
                                 
reset                                   /* clear all input buffers          */
short                                   /* select shortest route            */

do p=1 to 2                             /* loop twice (filled and wireframe)*/

   fill p // 2

   from frome                           /* enter route Frome to Pratt's Bum */
   to "pratt's bottom"

   go                                   /* calc that route!                 */

   gbin(1)                              /* in.. out.. up and down...        */
   gblft(2)
   gbin(1)
   gbdwn(1)
   gbin(1)
   gbrgt(7)
   gbup(1)
   gbrgt(4)
   gbup(1)
   gbrgt(5)
end

scrn 0                                  /* back to cli reality              */

exit                                    /* and exit ARexx script            */

                                        /* screen navigation functions      */
                                        /* in each case 'i' is the number   */
                                        /* of operations                    */

gbup:                                   /* Up 'i' times                     */
arg i
do j=1 to i 
   zup
end
return 1

gbdwn:                                  /* Down 'i' times                   */
arg i
do j=1 to i
   zdown
end
return 1

gblft:                                  /* Left 'i' times                   */
arg i
do j=1 to i
   zleft
end
return 1

gbrgt:                                  /* Right 'i' times                  */
arg i
do j=1 to i
   zright
end
return 1

gbin:                                   /* In 'i' times                     */
arg i
do j=1 to i
   zin
end
return 1

gbout:                                  /* Out 'i' times                    */
arg i
do j=1 to i
   zout
end
return 1
